diff -Naurp sdk/common/inc/cmd_arg_reader.h sdk-fixed/common/inc/cmd_arg_reader.h
--- sdk/common/inc/cmd_arg_reader.h	2008-09-02 22:17:26.000000000 +0200
+++ sdk-fixed/common/inc/cmd_arg_reader.h	2008-10-15 22:10:45.000000000 +0200
@@ -37,6 +37,7 @@
 #include <iostream>
 #include <sstream>
 #include <algorithm>
+#include <typeinfo>
 
 // includes, project
 #include <exception.h>
diff -Naurp sdk/common/inc/exception.h sdk-fixed/common/inc/exception.h
--- sdk/common/inc/exception.h	2008-09-02 22:17:26.000000000 +0200
+++ sdk-fixed/common/inc/exception.h	2008-10-15 23:57:46.000000000 +0200
@@ -32,6 +32,7 @@
 #define _EXCEPTION_H_
 
 // includes, system
+#include <cstdlib>
 #include <exception>
 #include <stdexcept>
 #include <iostream>
diff -Naurp sdk/common/src/cmd_arg_reader.cpp sdk-fixed/common/src/cmd_arg_reader.cpp
--- sdk/common/src/cmd_arg_reader.cpp	2008-09-02 22:17:26.000000000 +0200
+++ sdk-fixed/common/src/cmd_arg_reader.cpp	2008-10-15 22:10:23.000000000 +0200
@@ -35,6 +35,8 @@
 // includes, system
 #include <vector>
 
+#include <typeinfo>
+
 // internal unnamed namespace
 
 namespace 
diff -Naurp sdk/common/src/cutil.cpp sdk-fixed/common/src/cutil.cpp
--- sdk/common/src/cutil.cpp	2008-09-02 22:17:26.000000000 +0200
+++ sdk-fixed/common/src/cutil.cpp	2008-10-15 23:56:15.000000000 +0200
@@ -36,6 +36,7 @@
 #include <cutil.h>
 
 // includes, system
+#include <cstring>
 #include <fstream>
 #include <vector>
 #include <iostream>
diff -Naurp sdk/common/src/paramgl.cpp sdk-fixed/common/src/paramgl.cpp
--- sdk/common/src/paramgl.cpp	2008-09-02 22:17:26.000000000 +0200
+++ sdk-fixed/common/src/paramgl.cpp	2008-10-15 23:58:10.000000000 +0200
@@ -4,6 +4,7 @@
     sgg 8/2001
 */
 
+#include <cstring>
 #include <param.h>
 #include <paramgl.h>
 
diff -Naurp sdk/Makefile sdk-fixed/Makefile
--- sdk/Makefile	2008-09-02 22:17:26.000000000 +0200
+++ sdk-fixed/Makefile	2008-10-16 13:42:42.000000000 +0200
@@ -2,32 +2,32 @@
 PROJECTS := $(shell find projects -name Makefile)
 
 %.ph_build : lib/libcutil.so lib/libparamgl.so lib/librendercheckgl.so
-	make -C $(dir $*) $(MAKECMDGOALS)
+	$(MAKE) -C $(dir $*) $(MAKECMDGOALS)
 
 %.ph_clean : 
-	make -C $(dir $*) clean $(USE_DEVICE)
+	$(MAKE) -C $(dir $*) clean $(USE_DEVICE)
 
 %.ph_clobber :
-	make -C $(dir $*) clobber $(USE_DEVICE)
+	$(MAKE) -C $(dir $*) clobber $(USE_DEVICE)
 
 all:  $(addsuffix .ph_build,$(PROJECTS))
 	@echo "Finished building all"
 
 lib/libcutil.so:
-	@make -C common
+	@$(MAKE) -C common
 
 lib/libparamgl.so:
-	@make -C common -f Makefile_paramgl
+	@$(MAKE) -C common -f Makefile_paramgl
 
 lib/librendercheckgl.so:
-	@make -C common -f Makefile_rendercheckgl
+	@$(MAKE) -C common -f Makefile_rendercheckgl
 
 tidy:
 	@find | egrep "#" | xargs rm -f
 	@find | egrep "\~" | xargs rm -f
 
 clean: tidy $(addsuffix .ph_clean,$(PROJECTS))
-	@make -C common clean
+	@$(MAKE) -C common clean
 
 clobber: clean $(addsuffix .ph_clobber,$(PROJECTS))
-	@make -C common clobber
+	@$(MAKE) -C common clobber
diff -Naurp sdk/projects/cppIntegration/main.cpp sdk-fixed/projects/cppIntegration/main.cpp
--- sdk/projects/cppIntegration/main.cpp	2008-09-02 22:17:33.000000000 +0200
+++ sdk-fixed/projects/cppIntegration/main.cpp	2008-10-15 23:59:14.000000000 +0200
@@ -41,6 +41,7 @@
 
 // includes, system
 #include <iostream>
+#include <cstdlib>
 
 // Required to include CUDA vector types
 #include <vector_types.h>
